org.jboss.jca.codegenerator

## Class Definition

- java.lang.Object
- - org.jboss.jca.codegenerator.Definition

-     public class Definition
      extends java.lang.Object

  A Definition.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Definition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActivationClass()` Get the activationClass.
    `java.util.List<AdminObjectType>` | `getAdminObjects()` Get the adminObjects.
    `java.lang.String` | `getAsClass()` Get the activationSpecClass.
    `java.util.List<ConfigPropType>` | `getAsConfigProps()` Get the asConfigProps.
    `java.util.List<AuthenMechanismType>` | `getAuthenMechanisms()` Get the authenMechanisms.
    `java.lang.String` | `getBuild()` Get the build.
    `java.lang.String` | `getDefaultValue()` Get the defaultValue.
    `java.lang.String` | `getMbeanImplClass()` Get the mbeanImplClass.
    `java.lang.String` | `getMbeanInterfaceClass()` Get the mbeanInterfaceClass.
    `java.util.List<McfDef>` | `getMcfDefs()` Get the mcfDefs.
    `java.lang.String` | `getMlClass()` Get the messageListenerClass.
    `java.lang.String` | `getOutputDir()` Get the outputDir.
    `java.lang.String` | `getRaClass()` Get the raClass.
    `java.util.List<ConfigPropType>` | `getRaConfigProps()` Get the raConfigProps.
    `java.lang.String` | `getRaMetaClass()` Get the raMetaClass.
    `java.lang.String` | `getRaPackage()` Get the raPackage.
    `java.util.List<SecurityPermissionType>` | `getSecurityPermissions()` Get the securityPermissions.
    `java.lang.String` | `getSupportTransaction()` Get the supportTransaction.
    `java.lang.String` | `getVersion()` Get the version.
    `boolean` | `isAdminObjectImplRaAssociation()` Get the adminObjectImplRaAssociation.
    `boolean` | `isDefaultPackageInbound()` Get the defaultPackageInbound.
    `boolean` | `isGenAdminObject()` Get the genAdminObject.
    `boolean` | `isGenMbean()` Get the genMbean.
    `boolean` | `isRaSerial()` get raSerial
    `boolean` | `isSupportEis()` get supportEis
    `boolean` | `isSupportInbound()` Get the supportInbound.
    `boolean` | `isSupportJbossLogging()` get supportJbossLogging
    `boolean` | `isSupportOutbound()` Get the supportOutbound.
    `boolean` | `isSupportReauthen()` Get the supportReauthen.
    `boolean` | `isUseAnnotation()` Get the useAnnotation.
    `boolean` | `isUseRa()` Get the useRa.
    `void` | `setActivationClass(java.lang.String activationClass)` Set the activationClass.
    `void` | `setAdminObjectImplRaAssociation(boolean adminObjectImplRaAssociation)` Set the adminObjectImplRaAssociation.
    `void` | `setAdminObjects(java.util.List<AdminObjectType> adminObjects)` Set the adminObjects.
    `void` | `setAsClass(java.lang.String activationSpecClass)` Set the activationSpecClass.
    `void` | `setAsConfigProps(java.util.List<ConfigPropType> asConfigProps)` Set the asConfigProps.
    `void` | `setAuthenMechanisms(java.util.List<AuthenMechanismType> authenMechanisms)` Set the authenMechanisms.
    `void` | `setBuild(java.lang.String build)` Set the build.
    `void` | `setDefaultPackageInbound(boolean defaultPackageInbound)` Set the defaultPackageInbound.
    `void` | `setDefaultValue(java.lang.String defaultValue)` Set the defaultValue.
    `void` | `setGenAdminObject(boolean genAdminObject)` Set the genAdminObject.
    `void` | `setGenMbean(boolean genMbean)` Set the genMbean.
    `void` | `setMcfDefs(java.util.List<McfDef> mcfDefs)` Set the mcfDefs.
    `void` | `setMlClass(java.lang.String messageListenerClass)` Set the messageListenerClass.
    `void` | `setOutputDir(java.lang.String outputDir)` Set the outputDir.
    `void` | `setRaClass(java.lang.String raClass)` Set the raClass.
    `void` | `setRaConfigProps(java.util.List<ConfigPropType> raConfigProps)` Set the raConfigProps.
    `void` | `setRaMetaClass(java.lang.String raMetaClass)` Set the raMetaClass.
    `void` | `setRaPackage(java.lang.String raPackage)` Set the raPackage.
    `void` | `setRaSerial(boolean raSerial)` set raSerial
    `void` | `setSecurityPermissions(java.util.List<SecurityPermissionType> securityPermissions)` Set the securityPermissions.
    `void` | `setSupportEis(boolean supportEis)` set supportEis
    `void` | `setSupportInbound(boolean supportInbound)` Set the supportInbound.
    `void` | `setSupportJbossLogging(boolean supportJbossLogging)` set supportJbossLogging
    `void` | `setSupportOutbound(boolean supportOutbound)` Set the supportOutbound.
    `void` | `setSupportReauthen(boolean supportReauthen)` Set the supportReauthen.
    `void` | `setSupportTransaction(java.lang.String supportTransaction)` Set the supportTransaction.
    `void` | `setUseAnnotation(boolean useAnnotation)` Set the useAnnotation.
    `void` | `setUseRa(boolean useRa)` Set the useRa.
    `void` | `setVersion(java.lang.String version)` Set the version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Definition

          public Definition()

  - ### Method Detail

    - #### setVersion

          public void setVersion(java.lang.String version)

      Set the version.
      Parameters:
        `version` - The version to set.

    - #### getVersion

          public java.lang.String getVersion()

      Get the version.
      Returns:
        the version.

    - #### setOutputDir

          public void setOutputDir(java.lang.String outputDir)

      Set the outputDir.
      Parameters:
        `outputDir` - The outputDir to set.

    - #### getOutputDir

          public java.lang.String getOutputDir()

      Get the outputDir.
      Returns:
        the outputDir.

    - #### setRaPackage

          public void setRaPackage(java.lang.String raPackage)

      Set the raPackage.
      Parameters:
        `raPackage` - The raPackage to set.

    - #### getRaPackage

          public java.lang.String getRaPackage()

      Get the raPackage.
      Returns:
        the raPackage.

    - #### setRaClass

          public void setRaClass(java.lang.String raClass)

      Set the raClass.
      Parameters:
        `raClass` - The raClass to set.

    - #### getRaClass

          public java.lang.String getRaClass()

      Get the raClass.
      Returns:
        the raClass.

    - #### setRaConfigProps

          public void setRaConfigProps(java.util.List<ConfigPropType> raConfigProps)

      Set the raConfigProps.
      Parameters:
        `raConfigProps` - The raConfigProps to set.

    - #### getRaConfigProps

          public java.util.List<ConfigPropType> getRaConfigProps()

      Get the raConfigProps.
      Returns:
        the raConfigProps.

    - #### setMcfDefs

          public void setMcfDefs(java.util.List<McfDef> mcfDefs)

      Set the mcfDefs.
      Parameters:
        `mcfDefs` - The mcfDefs to set.

    - #### getMcfDefs

          public java.util.List<McfDef> getMcfDefs()

      Get the mcfDefs.
      Returns:
        the mcfDefs.

    - #### setRaMetaClass

          public void setRaMetaClass(java.lang.String raMetaClass)

      Set the raMetaClass.
      Parameters:
        `raMetaClass` - The raMetaClass to set.

    - #### getRaMetaClass

          public java.lang.String getRaMetaClass()

      Get the raMetaClass.
      Returns:
        the raMetaClass.

    - #### setUseAnnotation

          public void setUseAnnotation(boolean useAnnotation)

      Set the useAnnotation.
      Parameters:
        `useAnnotation` - The useAnnotation to set.

    - #### isUseAnnotation

          public boolean isUseAnnotation()

      Get the useAnnotation.
      Returns:
        the useAnnotation.

    - #### setSupportOutbound

          public void setSupportOutbound(boolean supportOutbound)

      Set the supportOutbound.
      Parameters:
        `supportOutbound` - The supportOutbound to set.

    - #### isSupportOutbound

          public boolean isSupportOutbound()

      Get the supportOutbound.
      Returns:
        the supportOutbound.

    - #### setSupportInbound

          public void setSupportInbound(boolean supportInbound)

      Set the supportInbound.
      Parameters:
        `supportInbound` - The supportInbound to set.

    - #### isSupportInbound

          public boolean isSupportInbound()

      Get the supportInbound.
      Returns:
        the supportInbound.

    - #### setMlClass

          public void setMlClass(java.lang.String messageListenerClass)

      Set the messageListenerClass.
      Parameters:
        `messageListenerClass` - The messageListenerClass to set.

    - #### getMlClass

          public java.lang.String getMlClass()

      Get the messageListenerClass.
      Returns:
        the messageListenerClass.

    - #### setAsClass

          public void setAsClass(java.lang.String activationSpecClass)

      Set the activationSpecClass.
      Parameters:
        `activationSpecClass` - The activationSpecClass to set.

    - #### getAsClass

          public java.lang.String getAsClass()

      Get the activationSpecClass.
      Returns:
        the activationSpecClass.

    - #### setAsConfigProps

          public void setAsConfigProps(java.util.List<ConfigPropType> asConfigProps)

      Set the asConfigProps.
      Parameters:
        `asConfigProps` - The asConfigProps to set.

    - #### getAsConfigProps

          public java.util.List<ConfigPropType> getAsConfigProps()

      Get the asConfigProps.
      Returns:
        the asConfigProps.

    - #### setUseRa

          public void setUseRa(boolean useRa)

      Set the useRa.
      Parameters:
        `useRa` - The useRa to set.

    - #### isUseRa

          public boolean isUseRa()

      Get the useRa.
      Returns:
        the useRa.

    - #### setActivationClass

          public void setActivationClass(java.lang.String activationClass)

      Set the activationClass.
      Parameters:
        `activationClass` - The activationClass to set.

    - #### getActivationClass

          public java.lang.String getActivationClass()

      Get the activationClass.
      Returns:
        the activationClass.

    - #### setSupportTransaction

          public void setSupportTransaction(java.lang.String supportTransaction)

      Set the supportTransaction.
      Parameters:
        `supportTransaction` - The supportTransaction to set.

    - #### getSupportTransaction

          public java.lang.String getSupportTransaction()

      Get the supportTransaction.
      Returns:
        the supportTransaction.

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String defaultValue)

      Set the defaultValue.
      Parameters:
        `defaultValue` - The defaultValue to set.

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Get the defaultValue.
      Returns:
        the defaultValue.

    - #### setSupportReauthen

          public void setSupportReauthen(boolean supportReauthen)

      Set the supportReauthen.
      Parameters:
        `supportReauthen` - The supportReauthen to set.

    - #### isSupportReauthen

          public boolean isSupportReauthen()

      Get the supportReauthen.
      Returns:
        the supportReauthen.

    - #### setSecurityPermissions

          public void setSecurityPermissions(java.util.List<SecurityPermissionType> securityPermissions)

      Set the securityPermissions.
      Parameters:
        `securityPermissions` - The securityPermissions to set.

    - #### getSecurityPermissions

          public java.util.List<SecurityPermissionType> getSecurityPermissions()

      Get the securityPermissions.
      Returns:
        the securityPermissions.

    - #### setAuthenMechanisms

          public void setAuthenMechanisms(java.util.List<AuthenMechanismType> authenMechanisms)

      Set the authenMechanisms.
      Parameters:
        `authenMechanisms` - The authenMechanisms to set.

    - #### getAuthenMechanisms

          public java.util.List<AuthenMechanismType> getAuthenMechanisms()

      Get the authenMechanisms.
      Returns:
        the authenMechanisms.

    - #### setBuild

          public void setBuild(java.lang.String build)

      Set the build.
      Parameters:
        `build` - The build to set.

    - #### getBuild

          public java.lang.String getBuild()

      Get the build.
      Returns:
        the build.

    - #### getMbeanInterfaceClass

          public java.lang.String getMbeanInterfaceClass()

      Get the mbeanInterfaceClass.
      Returns:
        the mbeanInterfaceClass.

    - #### getMbeanImplClass

          public java.lang.String getMbeanImplClass()

      Get the mbeanImplClass.
      Returns:
        the mbeanImplClass.

    - #### isGenMbean

          public boolean isGenMbean()

      Get the genMbean.
      Returns:
        the genMbean.

    - #### setGenMbean

          public void setGenMbean(boolean genMbean)

      Set the genMbean.
      Parameters:
        `genMbean` - The genMbean to set.

    - #### setAdminObjects

          public void setAdminObjects(java.util.List<AdminObjectType> adminObjects)

      Set the adminObjects.
      Parameters:
        `adminObjects` - The adminObjects to set.

    - #### getAdminObjects

          public java.util.List<AdminObjectType> getAdminObjects()

      Get the adminObjects.
      Returns:
        the adminObjects.

    - #### setGenAdminObject

          public void setGenAdminObject(boolean genAdminObject)

      Set the genAdminObject.
      Parameters:
        `genAdminObject` - The genAdminObject to set.

    - #### isGenAdminObject

          public boolean isGenAdminObject()

      Get the genAdminObject.
      Returns:
        the genAdminObject.

    - #### setAdminObjectImplRaAssociation

          public void setAdminObjectImplRaAssociation(boolean adminObjectImplRaAssociation)

      Set the adminObjectImplRaAssociation.
      Parameters:
        `adminObjectImplRaAssociation` - The adminObjectImplRaAssociation to set.

    - #### isAdminObjectImplRaAssociation

          public boolean isAdminObjectImplRaAssociation()

      Get the adminObjectImplRaAssociation.
      Returns:
        the adminObjectImplRaAssociation.

    - #### setDefaultPackageInbound

          public void setDefaultPackageInbound(boolean defaultPackageInbound)

      Set the defaultPackageInbound.
      Parameters:
        `defaultPackageInbound` - The defaultPackageInbound to set.

    - #### isDefaultPackageInbound

          public boolean isDefaultPackageInbound()

      Get the defaultPackageInbound.
      Returns:
        the defaultPackageInbound.

    - #### setRaSerial

          public void setRaSerial(boolean raSerial)

      set raSerial
      Parameters:
        `raSerial` - the raSerial to set

    - #### isRaSerial

          public boolean isRaSerial()

      get raSerial
      Returns:
        the raSerial

    - #### isSupportEis

          public boolean isSupportEis()

      get supportEis
      Returns:
        the supportEis

    - #### setSupportEis

          public void setSupportEis(boolean supportEis)

      set supportEis
      Parameters:
        `supportEis` - the supportEis to set

    - #### isSupportJbossLogging

          public boolean isSupportJbossLogging()

      get supportJbossLogging
      Returns:
        the supportJbossLogging

    - #### setSupportJbossLogging

          public void setSupportJbossLogging(boolean supportJbossLogging)

      set supportJbossLogging
      Parameters:
        `supportJbossLogging` - the supportJbossLogging to set

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)